ranges::views::join_base_fn Struct Reference
Inheritance diagram for ranges::views::join_base_fn:

## Public Member Functions

template<typename Rng >
CPP_TEMPLATE_AUX_0 | j (requires ` joinable_with_range< Rng, single_view< inner_value_t< Rng >>>) jjjoin_with_view< all_t< Rng >
template<typename Rng , typename ValRng >
CPP_TEMPLATE_AUX_0 | j (requires ` joinable_with_range< Rng, ValRng >) jjjoin_with_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 single_view< inner_value_t< Rng > > | operator() (Rng &&rng, inner_value_t< Rng > v) const
CPP_TEMPLATE_AUX_0 all_t< ValRng > | operator() (Rng &&rng, ValRng &&val) const
Public Member Functions inherited from ranges::views::cpp20_join_fn
template<typename Rng >
CPP_TEMPLATE_AUX_0 | j (requires ` joinable_range< Rng >) jjjoin_view< all_t< Rng >> operator()(Rng &&rng) const